Subject: bug#64281: closed (Re: bug#64281: [Feature Request] Recognize“#” syntax)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 26 Jun 2023 12:22:02 +0000

Your bug report

#64281: [Feature Request] Recognize “#” syntax when reading local-variables

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64281: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64281
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64281: [Feature Request] Recognize “#”syntax
From: Eli Zaretskii <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 26 Jun 2023 15:21:36 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Stefan Monnier <[email-masked]>
> Cc: Shynur Xie <[email-masked]>,  [email-masked]
> Date: Sun, 25 Jun 2023 11:46:13 -0400
> 
> >> It seems that this is a intentional behavior:
> >>
> >> <https://www.gnu.org/software/emacs/manual/html_node/elisp/File-Local-Variables.html>:
> >>
> >> > For additional safety, read-circle is temporarily bound to nil when
> >> > Emacs reads file-local variables.
> >>
> >> No further question; can be closed now.
> >>
> >> (I wonder if we can treat ~/.emacs.d/.dir-locals.el specially, or tell
> >>  Emacs which files can be treated specially -- enable read-circle.)
> >
> > Stefan, any comments before we close this?
> 
> file/dir-local variables are dangerous enough as it is, I think.  If you
> want to do better, you can use an actual ELisp file.

Agreed.

Subject: [Feature Request] Recognize “#” syntax when reading local-variables
From: Shynur Xie <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sun, 25 Jun 2023 11:54:02 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

For example, if I want to use UTF-8-UNIX only for files directly under
directory DIR, and those under DIR/SUBDIR/ or its subdirectories, I
can write this way:

    ((nil . ((subdirs . nil)
               . #1=((coding . utf-8-unix))))
     ("SUBDIR" . ((nil . #1#))))

If “#” can be recognized when reading local-variables, we can write
“((coding . utf-8-unix))” only once.  Thanks.

--
shynur